getNftsForOwner

Gets all NFTs currently owned by a given addresssssssssss.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Defaults to docs-demo

For higher throughput, create your own API key

Query Params
string
required

String - Address for NFT owner (can be in ENS format!).

string

String - Cursor key for pagination. If more results are available, a pageKey will be returned in the response. Pass back that pageKey as a param to fetch the next 100 NFTs.

integer

String - Number of NFTs to be returned per page. Defaults to 100. Max is 100. NOTE: Only supported on Ethereum Mainnet and Goerli, Polygon Mainnet and Mumbai, Arbitrum Mainnet and Goerli, and Optimism Mainnet and Goerli.

contractAddresses[]
array of strings

Array of contract addresses to filter the responses with. Max limit 20 contracts.

contractAddresses[]
boolean
Defaults to false

Boolean - if set to false, returns NFT metadata. Setting this to true will reduce payload size and may result in a faster API call. Defaults to false.

integer

No set timeout by default - When metadata is requested, this parameter is the timeout (in milliseconds) for the website hosting the metadata to respond. If you want to only access the cache and not live fetch any metadata for cache misses then set this value to 0.

filters[]
array of strings

Array of filters (as ENUMS) that will be applied to the query. NFTs that match one or more of these filters will be excluded from the response. Filter Options:

  • SPAM: NFTs that have been classified as spam. Spam classification has a wide range of criteria that includes but is not limited to emitting fake events and copying other well-known NFTs.
  • AIRDROPS: NFTs that have were airdropped to the user. Airdrops are defined as NFTs that were minted to a user address in a transaction sent by a different address. NOTE: this filter is currently supported on Ethereum Mainnet and Goerli only.
filters[]
Allowed:
Response

Language
LoadingLoading…
Response
Choose an example:
application/json